{
  "description": "Represents a projected volume source",
  "properties": {
    "defaultMode": {
      "description": "defaultMode are the mode bits used to set permissions on created files by default. Must be an octal value between 0000 and 0777 or a decimal value between 0 and 511. YAML accepts both octal and decimal values, JSON requires decimal values for mode bits. Directories within the path are not affected by this setting. This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "sources": {
      "description": "sources is the list of volume projections",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.VolumeProjection"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-type": "atomic"
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/projectedvolumesource/v1"
}